### VOT2020 submission - TRASTmask
Matteo Dunnhofer, Gian Luca Foresti, Christian Micheloni

Machine Learning and Perception Lab  
Department of Mathematics, Computer Science and Physics  
University of Udine  
Udine, Italy

##### Hardware and OS specifications
CPU Intel Xeon E5-2690 v4 @ 2.60GHz  
GPU NVIDIA Titan V  
320 GB of RAM
OS: Ubuntu 18.04  

#### VOT2020 test instructions
To run the VOT2020 experiments please follow these instructions:

+ Download the pre-trained weights files ``Student.weights``, ``SiamMask_DAVIS.pth``, ``dimp50.pth``, ``atom_default.pth`` and the folder ``resnet18_vggmconv1``
from [here](https://drive.google.com/drive/folders/1Njn7CejAsf4nX4CP_921W7xT0X6GcM5G?usp=sharing) and put them in the folder ``vot2020-submission-TRASTmask/ckpt/``

+ Move to the submission source folder ``cd vot2020-submission-TRASTmask/src``

+ Create the Anaconda environment ``conda env create -f vot.yml``

+ Activate the environment ``conda activate vot``

+ Install the required python packages (not included in the vot environment) ``pip install -r requirements.txt``

+ Install ninja-build ``sudo apt-get install ninja-build``

+ Move to the workspace folder ``cd vot-experiments/vot2020-TRASTmask-ws``  

+ Edit the variable ``FULL_PATH_TO_SUB`` in file ``path_config.py`` by providing the full-path to the submission folder,
and do the same in the file ``trackers.ini`` by substituting the paths ``[full-path-to-vot-2020-submission-TRASTmask]`` in line 9 and 13
 
+ Run ``python compile_pytracking.py``
 
+ Run the analysis by ``vot evaluate --workspace . TRASTmask`` 

+ Run the evaluation by ``vot analysis --workspace . TRASTmask --output json``  

#### If you fail to run our tracker please write to ``matteo.dunnhofer@uniud.it``
