"""
Written by Matteo Dunnhofer - 2020

Initialize and run ATOM and DiMP to compile PreciseRoiPooling modules
"""
from PIL import Image
import path_config as pc
import sys
sys.path.append(pc.SRC_PATH)
from demotrackers.pytracking2.pytracking.pytracking.TrackerATOM import TrackerATOM
from demotrackers.pytracking2.pytracking.pytracking.TrackerDiMP import TrackerDiMP

image = Image.open(pc.SRC_PATH + 'data/00000001.jpg')

atom = TrackerATOM()
atom.init(image, [0, 0, 100, 100])
_ = atom.update(image)

dimp = TrackerDiMP()
dimp.init(image, [0, 0, 100, 100])
_ = dimp.update(image)

print('Done!')